<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.ezhizao.project.business.mapper.BizAppMapper">
    
    <resultMap type="cn.ezhizao.project.business.domain.BizApp" id="BizAppResult">
        <id column="id" property="id"/>
    </resultMap>


    <select id="getList" parameterType="BizApp" resultMap="BizAppResult">
        SELECT * FROM biz_app
        <trim prefix=" WHERE" suffix="" suffixOverrides="AND">

            deleted = 0
            <if test="appId != null  and appId != ''"> AND app_id = #{appId}</if>
            <if test="name != null  and name != ''"> AND name like concat('%', #{name}, '%')</if>
            <if test="url != null  and url != ''"> AND url = #{url}</if>
            <if test="author != null  and author != ''"> AND author = #{author}</if>
            <if test="type != null "> AND type = #{type}</if>
            <if test="versionName != null  and versionName != ''"> AND version_name like concat('%', #{versionName}, '%')</if>
            <if test="versionCode != null  and versionCode != ''"> AND version_code = #{versionCode}</if>
            <if test="status != null "> AND status = #{status}</if>
            <if test="updaterId != null "> AND updater_id = #{updaterId}</if>
            <if test="updateTime != null "> AND update_time = #{updateTime}</if>
            <if test="creatorId != null "> AND creator_id = #{creatorId}</if>
            <if test="createTime != null "> AND create_time = #{createTime}</if>
        </trim>
    </select>
</mapper>